Subject: RE: [Simple] New I-D: presence data model and its relationship toour presence work

From: [email-masked]
Date: Thu, 15 Jul 2004 10:42:54 +0300

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]]On Behalf
> Of ext Vijay K. Gurbani
> Sent: 14.July.2004 19:01
> To: Jonathan Rosenberg
> Cc: IETF SIMPLE WG
> Subject: Re: [Simple] New I-D: presence data model and its 
> relationship
> toour presence work
> 
> 
> Jonathan Rosenberg wrote:
> > Folks,
> > 
> > I've just submitted an I-D on a presence data model for SIMPLE
> > 
> > 
> http://www.jdrosen.net/papers/draft-rosenberg-simple-presence-
> data-model-00.txt 
> [...]
> > I'd like to try and see if we can agree on the following points:
> > 
> > 1. the data model makes sense,
> > 2. the data model gives people the flexibility they need to 
> represent 
> > the systems they are interested in,
> > 3. the data model makes it sufficiently clear about what a tuple 
> > is to create interoperable presence systems,
> > 4. the plan of attack makes sense given the previous 3
> > 
> > Comments in any of these four categories are most welcome.
> 
> Jonathan:
> 
> The data model outlined in the I-D is sound, and my vote
> would be that work should proceed as you outline.
> 
> I had proposed a somewhat similar model back in Jan 2003 on the
> SIMPLE WG list.  In that email thread (which is very
> long), I had argued for a user-centric presence model as
> opposed to the device-centric one that was being used.  For
> reference, please see
> 
> http://www1.ietf.org/mail-archive/web/simple/current/msg00061.html
> http://www1.ietf.org/mail-archive/web/simple/current/msg00080.html
> 
> To me, a presentity has always corresponded to a human (or a
> group of humans, as in a call center); it is the presence
> state of the human we are trying to model, not the devices
> commanded by it.  Unfortunately, in  current usage, a
> presentity can be anything -- a VM server, a bot, a person,
> and so on.  In think your model is closer to a presentity
> being a user.
> 
> I also like your model with the three levels (presentity,
> service, devices).  It is richer than the two level model
> (presentity, device) I had in mind (see
> http://www1.ietf.org/mail-archive/web/simple/current/msg00092.html).
> Your model also provides for the composition of more fine
> grained presence information.
> 
> Some other points in the I-D:
> 
> (1) You note (in Section 5) that "The terminlogy here is
> confusing: we talk about the presentity as a data element
> and the presentity as the entire thing being modeled..."
> What if we used the term "actor" for the entire thing being
> modeled?  As in, "The entity attribute in the
> <presence> element is always present, and identifies the
> actor described in the document."
> Other terms: target, principal, addressee

Principal gets my vote. It is defined in RFC2778/2779.

/Hisham 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple